Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_tp_struct Struct Reference

## Data Fields
rb_event_flag_t | events
int | tracing
rb_thread_t * | target_th
VALUE | local_target_set
void(* | func )(VALUE tpval, void *data)
void * | data
VALUE | proc
VALUE | self

## Detailed Description

Definition at line 692 of file vm_trace.c.

## Field Documentation

## ◆ data

void* rb_tp_struct::data

Definition at line 701 of file vm_trace.c.

## ◆ events

rb_event_flag_t rb_tp_struct::events

Definition at line 693 of file vm_trace.c.

## ◆ func

void(* rb_tp_struct::func) (VALUE tpval, void *data)

Definition at line 700 of file vm_trace.c.

## ◆ local_target_set

VALUE rb_tp_struct::local_target_set

Definition at line 696 of file vm_trace.c.

## ◆ proc

VALUE rb_tp_struct::proc

Definition at line 702 of file vm_trace.c.

## ◆ self

VALUE rb_tp_struct::self

Definition at line 703 of file vm_trace.c.

## ◆ target_th

rb_thread_t* rb_tp_struct::target_th

Definition at line 695 of file vm_trace.c.

## ◆ tracing

int rb_tp_struct::tracing

Definition at line 694 of file vm_trace.c.

The documentation for this struct was generated from the following file:

- vm_trace.c